### Function

# Qmi MessageDmsSetBootImageDownloadModeInput new

since: 1.18

#### Declaration [src]

    QmiMessageDmsSetBootImageDownloadModeInput*
    qmi_message_dms_set_boot_image_download_mode_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageDmsSetBootImageDownloadModeInput`.

Available since: 1.18

#### Return value

Type: `QmiMessageDmsSetBootImageDownloadModeInput`

The newly created `QmiMessageDmsSetBootImageDownloadModeInput`. The returned value should be freed with qmi_message_dms_set_boot_image_download_mode_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.